# Default values for mpay.
# This is a YAML-formatted file.
# Declare variables to be passed into your templates.

nameOverride: ""
fullnameOverride: ""
replicaCount: 1

image:
  tag:          ""
  pullPolicy:   "Always"
  javaOpts:     "-Xmx2048m"
  imageName:    ""

service:
  type: ClusterIP
  port: 8080

ingress:
  enabled: true
  annotations: 
    kubernetes.io/ingress.class: nginx
    #    kubernetes.io/tls-acme: "true"

  tls: 
    secretName: mpay-api-secret

resources:
  limits:
    cpu: 2000m
    memory: 4096Mi
  requests:
    cpu: 200m
    memory: 1024Mi

nodeSelector: {}

tolerations: []

affinity: {}
